
package de.ivu.elect.business.wahl.control;

import javax.enterprise.inject.Specializes;
import javax.inject.Inject;

import de.ivu.elect.business.security.boundary.EmlSignKeyService;
import de.ivu.elect.business.wahl.entity.Wahl;

@Specializes
public class NlWasWahlPostCreate extends WasWahlPostCreate {

  @Inject
  private transient EmlSignKeyService emlSignKeyService;

  @Override
  public void postCreate(Wahl wahl) {
    super.postCreate(wahl);
    emlSignKeyService.createPrivateKey(wahl);
  }

  @Override
  public boolean isCreateSystemgruppen() {
    return false; // ELECT-9761, werden in NL über den Wahl-Import (EML) angelegt!!!
  }
}
